body {
  background-image: url(./bg.jpg);
  margin: 0;
  padding: 0;
}

#root {
  width: 100vw;
  height: 100vh;
}

#root-window {
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
}

#alert-window {
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  z-index: 5;
}

.tab-panel {
  position: absolute;
  top: 0;
  left: 0;
  padding-top: 8px;
  background-color: #0834da;
  width: 90px;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: top;
  align-items: center;
  gap: 8px;
}

.tab-panel button {
  margin: 0;
  padding: 0;
  width: min-content;
  height: min-content;
}

h6 {
  margin: 0;
  padding: 0;
}

a {
  text-decoration: underline;
  cursor: pointer;
}

#projects {
  padding: 8px;
  display: flex;
  flex-direction: column;
  gap: 8px;
}

.repo-card {
  padding: 14px;
  clear: both;
  background: linear-gradient(180deg,#fcfcfe,#f4f3ee);
  border: 1px solid #919b9c;
  border-bottom: 1px solid transparent;
  border-top: 1px solid #e68b2c;
  box-shadow: inset 0 2px #ffc73c;
  position: relative;
  z-index: 2;
  margin-bottom: 9px;
}

.repo-card .full-name {
  font-size: 1.2em;
  padding: 5px;
  border-bottom: 1px solid #919b9c;
}

.hidden {
  display: none !important;
}

article {
  overflow-y: auto;
  height: 100%;
}

code {
  background: linear-gradient(#e5e5e7, #d8d7d3);
}

#message-bar {
  position: absolute;
  left: 0;
  bottom: 0;
  width: calc(100% - 8px - 8px - 8px - 4px);
  display: grid;
  grid-template-columns: 100px 1fr 50px;
  grid-template-rows: 1fr;
  grid-auto-columns: 1fr;
  gap: 8px 8px;
  grid-auto-flow: row;
  grid-template-areas:
    ". . .";
}

.clip {
  position: relative;
}

.clip img {
  border: rgb(211, 192, 109) 2px solid;
}

.clip::before {
  content: '';
  position: absolute;
  top: 0;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: 2;
  width: 20px;
  height: 20px;
  border-radius: 20px;
  background-color: red;
  border: rgb(151, 0, 0) 5px solid;
}

.visitors {
  position: absolute;
  z-index: 5;
  right: 15px;
  bottom: 15px;
  transform: translate(-100%, -100%);
}